Subject: Re: Plotting multiple smooth lines on the same graph

From: "Petr Pikal" <[email-masked]>
Date: Fri, 15 Dec 2006 17:47:03 +0100

Hi

you can either use supsmu smoother

plot(d1) # make sure limits for axes are OK (which is not in this 
case and you need to set xlim and ylim accordingly
lines(supsmu(d1[,1], d1[,2]))
points(d2, pch=2) 
lines(supsmu(d2[,1], d2[,2]))

or you can use loess smoother which is used in scatter.smooth and do 
some ordering before plotting and similar plot lines points lines 
construction.

HTH
Petr

On 15 Dec 2006 at 13:42, Eleni Rapsomaniki wrote:

Date sent:      	Fri, 15 Dec 2006 13:42:25 +0000
From:           	Eleni Rapsomaniki <[email-masked]>
To:             	[email-masked]
Subject:        	[R] Plotting multiple smooth lines on the same graph

> Hi
> 
> Say we have the following data sets:
> d1=cbind(rnorm(100,1,1), rnorm(100,10,50))
> d2=cbind(rnorm(100,5,1), rnorm(100,1,5))
> 
> I want to plot them both on the same graph with a curve fitted for
> each. I could call scatter.smooth to plot the first curve, but how do
> I add the second?
> 
> scatter.smooth(d1)
> 
> Many thanks
> Eleni Rapsomaniki
> 
> ______________________________________________
> [email-masked] mailing list
> https://stat.ethz.ch/mailman/listinfo/r-help
> PLEASE do read the posting guide
> http://www.R-project.org/posting-guide.html and provide commented,
> minimal, self-contained, reproducible code.

Petr Pikal
[email-masked]

______________________________________________
[email-masked] mailing list
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.